import { useContext } from "react";
import { AccountContext, AccountContextValue } from "./AccountProvider";

export function usePrivateKeyHash() {
    const context : AccountContextValue = useContext(AccountContext);
    if(!context){
        throw new Error("useAccount must be used within a AccountProvider");
    }
    if(!context.loginedAccount){
        return "";
    }
    return context.loginedAccount.privateHash;
}